Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.dao.jpa
Class CorrelationSetDAOImpl

    java.lang.Object
      org.apache.ode.dao.jpa.CorrelationSetDAOImpl

All Implemented Interfaces:
  CorrelationSetDAO

    public class CorrelationSetDAOImpl

extends java.lang.Object
implements CorrelationSetDAO

Constructor Summary
`CorrelationSetDAOImpl()`
`CorrelationSetDAOImpl(ScopeDAOImpl scope, java.lang.String name)`

Method Summary
`java.lang.Long` | `getCorrelationSetId()`
`java.lang.String` | `getName()` Get the name of the correlation set.
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getProperties()` Get correlation set properties with their values as a Map.
`ScopeDAO` | `getScope()` Get the scope instance to which this correlation set belongs.
`CorrelationKey` | `getValue()` Get the value of the correlation set.
`void` | `setValue(javax.xml.namespace.QName[] names, CorrelationKey values)` Sets the value of the correlation set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorrelationSetDAOImpl

    public CorrelationSetDAOImpl()

### CorrelationSetDAOImpl

    public CorrelationSetDAOImpl(ScopeDAOImpl scope,
                                 java.lang.String name)

Method Detail

### getCorrelationSetId

    public java.lang.Long getCorrelationSetId()

  Specified by:
    `getCorrelationSetId` in interface `CorrelationSetDAO`

### getName

    public java.lang.String getName()

  Description copied from interface: `CorrelationSetDAO`
  Get the name of the correlation set.

  Specified by:
    `getName` in interface `CorrelationSetDAO`
  Returns:
    name of the correlation set

### getProperties

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getProperties()

  Description copied from interface: `CorrelationSetDAO`
  Get correlation set properties with their values as a Map.

  Specified by:
    `getProperties` in interface `CorrelationSetDAO`
  Returns:
    Map with the property qualified name as key and value as Map value.

### getScope

    public ScopeDAO getScope()

  Description copied from interface: `CorrelationSetDAO`
  Get the scope instance to which this correlation set belongs.

  Specified by:
    `getScope` in interface `CorrelationSetDAO`
  Returns:
    owning scope instance
  See Also:
    `ScopeDAO}`

### getValue

    public CorrelationKey getValue()

  Description copied from interface: `CorrelationSetDAO`
  Get the value of the correlation set.

  Specified by:
    `getValue` in interface `CorrelationSetDAO`
  Returns:
    valu of correlation set

### setValue

    public void setValue(javax.xml.namespace.QName[] names,
                         CorrelationKey values)

  Description copied from interface: `CorrelationSetDAO`
  Sets the value of the correlation set.

  Specified by:
    `setValue` in interface `CorrelationSetDAO`
  Parameters:
    `names` - qualified names of the correlation set properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD